[ 
https://issues.apache.org/jira/browse/IGNITE-12659?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
 ]

Alexey Zinoviev updated IGNITE-12659:
-------------------------------------
    Description: 
After testing phase we investigated that the next sub-modules are broken and 
should be removed from the release branch 2.8
 * tensorflow (it uses deprecated IGFS and current solution in tf.contrib could 
n't connect to Ignite now)
 * tensorflow-ml-parser (it has a lot of bugs and doesn't work with tf 2.0)
 * mleap-ml-parser (CVE, Ignite ML couldn't work with metadata)
 * outdated genetic algorithms what are not supported now and are not formatted 
and refactored for the years (it's not a part of ML historically)

also due to connect with Hadoop, Spark and another libraries it has a few CVE 
related to the old dependencies in Hadoop libraries

 

P.S. I suppose all these solutions should be moved to the separate project 
ignite-ml-extensions for the independent developement

  was:
After testing phase we investigated that the next sub-modules are broken and 
should be removed from the release branch 2.8
 * tensorflow (it uses deprecated IGFS and current solution in tf.contrib could 
n't connect to Ignite now)
 * tensorflow-ml-parser (it has a lot of bugs and doesn't work with tf 2.0)
 * mleap-ml-parser (CVE, Ignite ML couldn't work with metadata)

also due to connect with Hadoop, Spark and another libraries it has a few CVE 
related to the old dependencies in Hadoop libraries

 

P.S. I suppose all these solutions should be moved to the separate project 
ignite-ml-extensions for the independent developement


> [ML] Remove broken sub-modules in ML
> ------------------------------------
>
>                 Key: IGNITE-12659
>                 URL: https://issues.apache.org/jira/browse/IGNITE-12659
>             Project: Ignite
>          Issue Type: Bug
>          Components: ml
>            Reporter: Alexey Zinoviev
>            Assignee: Alexey Zinoviev
>            Priority: Major
>             Fix For: 2.8
>
>
> After testing phase we investigated that the next sub-modules are broken and 
> should be removed from the release branch 2.8
>  * tensorflow (it uses deprecated IGFS and current solution in tf.contrib 
> could n't connect to Ignite now)
>  * tensorflow-ml-parser (it has a lot of bugs and doesn't work with tf 2.0)
>  * mleap-ml-parser (CVE, Ignite ML couldn't work with metadata)
>  * outdated genetic algorithms what are not supported now and are not 
> formatted and refactored for the years (it's not a part of ML historically)
> also due to connect with Hadoop, Spark and another libraries it has a few CVE 
> related to the old dependencies in Hadoop libraries
>  
> P.S. I suppose all these solutions should be moved to the separate project 
> ignite-ml-extensions for the independent developement



--
This message was sent by Atlassian Jira
(v8.3.4#803005)

Reply via email to